#!/usr/bin/env python3
import argparse
from graph_dataset import Dataset


parser = argparse.ArgumentParser()
parser.add_argument('-i', '--in-folder',
                    nargs=1,
                    required=True,
                    help='folder generated by gen-graphs.py',
                    metavar='<folder>')
input_dir = ''

if __name__ == '__main__':
    args = parser.parse_args()
    input_dir = args.in_folder[0]
    dataset = Dataset(input_dir)
    dataset.gen_integer_formulations()
    dataset.gen_rank_formulations()
